<?php
namespace Joomla\Component\Jshopping\Site\Helper;
use AddonCore;

defined('_JEXEC') or die();

class Checkboxblock{
	
	const FIELD_KEY = 'id';
	const FIELD_NAME = 'name';

	public static function getHtml(string $name, array $options, array $params = []): string
	{
		$params['filed_key'] = $params['filed_key'] ?? self::FIELD_KEY;
		$params['filed_name'] = $params['filed_name'] ?? self::FIELD_NAME;
		$params['css_class'] = $params['css_class'] ?? '';
		$params['css_style'] = $params['css_style'] ?? '';
		$params['search_field'] = $params['search_field'] ?? 1;
		$params['selected'] = $params['selected'] ?? [];

		$addon = new AddonCore('checkboxblock');
		//$addon->loadLanguage();
		$addon->loadCss();
		$addon->loadJs();
		$view = $addon->getView('default');
		$view->name = $name;
		$view->options = $options;
		$view->params = $params;
    	return $view->loadTemplate();
	}
	
}